import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { d as defineCustomElement$1 } from './bal-heading2.js';

const ListItemTitle = /*@__PURE__*/ proxyCustomElement(class ListItemTitle extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        /**
         * Heading level with value 'h4' on default
         */
        this.level = 'h5';
    }
    render() {
        return (h(Host, { key: '27a0d868c30e08a9a085af6274fed65a5dac9e6e', class: "bal-list__item__title" }, h("bal-heading", { key: '5da1989b9e7f8f8dc3745b0301f8c0f6a62dd600', level: this.level, visualLevel: this.visualLevel, space: "none" }, h("slot", { key: '52804ffe48149a90d92f2a26b4a99684f2906bdb' }))));
    }
}, [260, "bal-list-item-title", {
        "level": [1],
        "visualLevel": [1, "visual-level"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-list-item-title", "bal-heading"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-list-item-title":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ListItemTitle);
            }
            break;
        case "bal-heading":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { ListItemTitle as L, defineCustomElement as d };
